Package org.h2.bnf.context

# Class DbProcedure

java.lang.Object
org.h2.bnf.context.DbProcedure

public class DbProcedure extends Object
Contains meta data information about a procedure. This class is used by the H2 Console.

## Constructor Summary

Constructors
Constructor
Description
`DbProcedure(DbSchema schema, ResultSet rs)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`DbColumn[]`
`getParameters()`
`String`
`getQuotedName()`
`DbSchema`
`getSchema()`
`boolean`
`isReturnsResult()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DbProcedure

public DbProcedure(DbSchema schema, ResultSet rs) throws SQLException

Throws:
  `SQLException`

## Method Details

### getSchema

public DbSchema getSchema()

Returns:
  The schema this table belongs to.

### getParameters

public DbColumn[] getParameters()

Returns:
  The column list.

### getName

public String getName()

Returns:
  The table name.

### getQuotedName

public String getQuotedName()

Returns:
  The quoted table name.

### isReturnsResult

public boolean isReturnsResult()

Returns:
  True if this function return a value